<?PHP 
ob_start ("ob_gzhandler");
header('Content-type:text/html;charset=windows-1252');
header("Cache-Control:must-revalidate");
$offset = 60 * 60 * 24 * 14;
header('Vary:Accept-Encoding');
header('Cache-Control:max-age=' . $offset);
header('Expires:' . gmdate('D,d M Y H:i:s',time() + $offset) . ' GMT');
$fp=fopen($_SERVER["SCRIPT_FILENAME"],"r"); $etag = md5(serialize(fstat($fp))); $mtime = filemtime($_SERVER["SCRIPT_FILENAME"]);
fclose($fp); header('Last-Modified:' . gmdate('D,d M Y H:i:s',$mtime) . ' GMT');
header('Etag:'.$etag);
?>